SciQLOP - Feature #435

Full integration of IPython.
11/06/2015 06:25 PM - Alexis Jeandet

Status: Closed Start date: 11/06/2015
Priority: Normal Due date:

Assignee: Alexis Jeandet % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Story points:

Description
Seems possible:

from IPython import embed; embed()

But gives this output:

Traceback (most recent call last):

File ", line 2, in

File "/usr/lib/python2.7/site-packages/IPython/terminal/embed.py", line 290, in embed

shell = InteractiveShellEmbed.instance(**kwargs)

File "/usr/lib/python2.7/site-packages/IPython/config/configurable.py”, line 354, in instance

inst = cls(*args, **kwargs)

File "/usr/lib/python2.7/site-packages/IPython/terminal/embed.py", line 92, in init
display_banner=display_banner

File "/usr/lib/python2.7/site-packages/IPython/terminal/interactiveshell.py”, line 328, in init
**kwargs

File "/usr/lib/python2.7/site-packages/IPython/core/interactiveshell.py”, line 483, in init
self.init_readline()

File "/usr/lib/python2.7/site-packages/IPython/core/interactiveshell.py”, line 1884, in init_readline
self.refill_readline_hist()

File "/usr/lib/python2.7/site-packages/IPython/core/interactiveshell.py”, line 1893, in refill_readline_hist
stdin_encoding = sys.stdin.encoding or "utf-8"

AttributeError: 'PythonQtStdInRedirect’ object has no attribute 'encoding’

"here":http://sourceforge.net/p/pythonqgt/discussion/631393/thread/82f8056d/ we can find some hints about how to extend
PythonQtStdIn.

History

#1 - 07/07/2015 07:29 PM - Alexis Jeandet
- Project changed from QLop to SciQLOP
- Target version deleted (SciQLop-1.0)

#2 - 14/02/2019 09:50 AM - Alexis Jeandet

- Status changed from New to Closed
